Skip to main content
GET
/
organizations
/
{organization_id}
/
records
/
plan
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "<string>",
      "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subscription_id": "<string>",
      "sku": "<string>",
      "plan": "<string>",
      "options": [
        "<string>"
      ],
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z",
      "status": "<string>"
    }
  ],
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

Query Parameters

filter[subscription_id]
string

The ID of the subscription

filter[plan]
enum<string>

The plan type of the subscription.

Available options:
development,
standard,
medium,
large,
xlarge,
2xlarge
filter[status]
enum<string>

The status of the plan record.

Available options:
active,
suspended
filter[start]
string<date-time>

The start of the observation period for the record. E.g. filter[start]=2018-01-01 will display all records that were active (i.e. did not end) on 2018-01-01

filter[end]
string<date-time>

The end of the observation period for the record. E.g. filter[end]=2018-01-01 will display all records that were active on (i.e. they started before) 2018-01-01

filter[started_at]
string<date-time>

The record's start timestamp. You can use this filter to list records started after, or before a certain time. E.g. filter[started_at][value]=2020-01-01&filter[started_at][operator]=>

filter[ended_at]
string<date-time>

The record's end timestamp. You can use this filter to list records ended after, or before a certain time. E.g. filter[ended_at][value]=2020-01-01&filter[ended_at][operator]=>

page
integer<int32>

Page to be displayed. Defaults to 1.

Response

OK

items
object[]